package com.lz.modules.luck.entity;
import lombok.Data;
import java.util.Date;
/**
* <p>
* 菜单权限表
* </p>*活动名称表
* @author quyixiao
* @since 2020-08-21
*/


@Data
public class LuckReq implements java.io.Serializable {
  
    private int page = 1;
    private int rows = 10;
    private String sort;
    private String order;
    //活动ID
    private Long id;
    //是否删除
    private Integer isDelete;
    //
    private Date gmtCreate;
    //
    private Date gmtModified;
    //活动名称
    private String name;
    //奖品数量
    private Integer goodsCount;
    //备注
    private String remark;
    //是否结束0为结束 1结束（抽完奖设置为结束）
    private Integer finish;
    /**
     * 活动ID 
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     * 活动ID 
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     *  
     * @return
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }
    /**
     *  
     * @param gmtCreate
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    /**
     *  
     * @return
     */
    public Date getGmtModified() {
        return gmtModified;
    }
    /**
     *  
     * @param gmtModified
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    /**
     * 活动名称 
     * @return
     */
    public String getName() {
        return name;
    }
    /**
     * 活动名称 
     * @param name
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * 奖品数量 
     * @return
     */
    public Integer getGoodsCount() {
        return goodsCount;
    }
    /**
     * 奖品数量 
     * @param goodsCount
     */
    public void setGoodsCount(Integer goodsCount) {
        this.goodsCount = goodsCount;
    }

    /**
     * 备注 
     * @return
     */
    public String getRemark() {
        return remark;
    }
    /**
     * 备注 
     * @param remark
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * 是否结束0为结束 1结束（抽完奖设置为结束） 
     * @return
     */
    public Integer getFinish() {
        return finish;
    }
    /**
     * 是否结束0为结束 1结束（抽完奖设置为结束） 
     * @param finish
     */
    public void setFinish(Integer finish) {
        this.finish = finish;
    }

    @Override
    public String toString() {
        return "Luck{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",gmtCreate=" + gmtCreate +
                ",gmtModified=" + gmtModified +
                ",name=" + name +
                ",goodsCount=" + goodsCount +
                ",remark=" + remark +
                ",finish=" + finish +
                "}";
    }
}